/*-
 * ~~~~~~licensing~~~~~~
 * schema-soap
 * ==========
 * Copyright (C) 2020 - 2023 EmDev LLC
 * ==========
 * You may not use this file except in accordance with the License Terms of the Copyright
 * Holder located at: https://entaxy.ru/eula . All copyrights, all intellectual property
 * rights to the Software and any copies are the property of the Copyright Holder. Unless
 * it is explicitly allowed the Copyright Holder, the User is prohibited from using the
 * Software for commercial purposes to provide services to third parties.
 * 
 * The Copyright Holder hereby declares that the Software is provided on an "AS IS".
 * Under no circumstances does the Copyright Holder guarantee or promise that the
 * Software provided by him will be suitable or not suitable for the specific purposes
 * of the User, that the Software will meet all commercial and personal subjective
 * expectations of the User, that the Software will work properly, without technical
 * errors, quickly and uninterruptedly.
 * 
 * Under no circumstances shall the Copyright Holder or its Affiliates is not liable
 * to the User for any direct or indirect losses of the User, his expenses or actual
 * damage, including, downtime; loss of bussines; lost profit; lost earnings; loss
 * or damage to data, property, etc.
 * ~~~~~~/licensing~~~~~~
 */

package ru.entaxy.esb.platform.runtime.core.infrastructure.schema.soap.cxf;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for FullResourceType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="FullResourceType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="id" type="{http://www.w3.org/2001/XMLSchema}long"/&gt;
 *         &lt;element name="createdBy" type="{http://www.w3.org/2001/XMLSchema}string"/&gt;
 *         &lt;element name="createdDate" type="{http://www.w3.org/2001/XMLSchema}string"/&gt;
 *         &lt;element name="editedBy" type="{http://www.w3.org/2001/XMLSchema}string"/&gt;
 *         &lt;element name="editedDate" type="{http://www.w3.org/2001/XMLSchema}string"/&gt;
 *         &lt;element name="resourceValue" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "FullResourceType", propOrder = {
    "id",
    "createdBy",
    "createdDate",
    "editedBy",
    "editedDate",
    "resourceValue"
})
public class FullResourceType {

    protected long id;
    @XmlElement(required = true)
    protected String createdBy;
    @XmlElement(required = true)
    protected String createdDate;
    @XmlElement(required = true)
    protected String editedBy;
    @XmlElement(required = true)
    protected String editedDate;
    @XmlElement(required = true)
    protected byte[] resourceValue;

    /**
     * Gets the value of the id property.
     * 
     */
    public long getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     */
    public void setId(long value) {
        this.id = value;
    }

    /**
     * Gets the value of the createdBy property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCreatedBy() {
        return createdBy;
    }

    /**
     * Sets the value of the createdBy property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCreatedBy(String value) {
        this.createdBy = value;
    }

    /**
     * Gets the value of the createdDate property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCreatedDate() {
        return createdDate;
    }

    /**
     * Sets the value of the createdDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCreatedDate(String value) {
        this.createdDate = value;
    }

    /**
     * Gets the value of the editedBy property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getEditedBy() {
        return editedBy;
    }

    /**
     * Sets the value of the editedBy property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setEditedBy(String value) {
        this.editedBy = value;
    }

    /**
     * Gets the value of the editedDate property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getEditedDate() {
        return editedDate;
    }

    /**
     * Sets the value of the editedDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setEditedDate(String value) {
        this.editedDate = value;
    }

    /**
     * Gets the value of the resourceValue property.
     * 
     * @return
     *     possible object is
     *     byte[]
     */
    public byte[] getResourceValue() {
        return resourceValue;
    }

    /**
     * Sets the value of the resourceValue property.
     * 
     * @param value
     *     allowed object is
     *     byte[]
     */
    public void setResourceValue(byte[] value) {
        this.resourceValue = value;
    }

}
