[#ftl attributes={"generated.type":"blueprint"}]
<?xml version="1.0" encoding="UTF-8"?>
<blueprint xmlns="http://www.osgi.org/xmlns/blueprint/v1.0.0"
           xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
           xsi:schemaLocation="http://www.osgi.org/xmlns/blueprint/v1.0.0 https://www.osgi.org/xmlns/blueprint/v1.0.0/blueprint.xsd">

    [#import "templates:object-commons/common-utils.ftl" as utils]
    [#if properties.runExclusive?? && properties.runExclusive && properties.exclusivePrefix??]
        [#assign finalExclusivePrefix = properties.exclusivePrefix]
    [/#if]

    <camelContext id="[=objectId]" xmlns="http://camel.apache.org/schema/blueprint">
        <route id="[=objectId].input-route">
            <from uri="[=finalExclusivePrefix!][=properties.entaxyOriginConnection]:[=properties.camel_directoryName][=utils.createQueryString(properties, "camel_", true, ["camel_directoryName"])]"/>
            <to uri="direct:exit-cascade-start"/>
        </route>
    </camelContext>

</blueprint>
