[#ftl]
[#macro metadata_storage id data prefix consumer=""]
	[#if data??]
	<bean id="[=id]" class="ru.entaxy.platform.core.support.runtime.metadata.MetadataStorageImpl" activation="eager">
		<property name="prefix" value="[=prefix]" />
		<property name="strings">
			<map key-type="java.lang.String" value-type="java.lang.String">
		[#list data as key, value]
			[#if value?is_string]
				<entry key="[=key]" value="[=value]" />
			[/#if]
		[/#list]	
			</map>
		</property>
		<property name="booleans">
			<map key-type="java.lang.String" value-type="java.lang.Boolean">
		[#list data as key, value]
			[#if value?is_boolean]
				<entry key="[=key]" value="[=value?c]" />
			[/#if]
		[/#list]	
			</map>
		</property>
		<property name="numbers">
			<map key-type="java.lang.String" value-type="java.lang.Number">
		[#list data as key, value]
			[#if value?is_number]
				<entry key="[=key]" value="[=value?c]" />
			[/#if]
		[/#list]	
			</map>
		</property>
		[#if consumer?has_content]
		<property name="consumer" ref="[=consumer]" />
		[/#if]
	</bean>
	[/#if]
[/#macro]
