[#ftl attributes={"generated.type":"blueprint.fragment"}]
<!--

	BEGIN legacy components
	@Deprecated
	
	left for backward compatibility
	to be removed in next releases

-->
    <reference-list id="outConnector"
                    interface="ru.entaxy.esb.system.profile.commons.connectors.out.OutConnector"
                    filter="(systemName=[=properties.systemProfileName])" availability="optional">
        <reference-listener ref="profileOutput"
                            bind-method="register" unbind-method="unregister"/>
    </reference-list>

    <reference-list id="inConnector"
                    interface="ru.entaxy.esb.system.profile.commons.connectors.in.InConnector"
                    filter="(systemName=[=properties.systemProfileName])" availability="optional">
        <reference-listener ref="inConnectorCollector"
                            bind-method="register" unbind-method="unregister"/>
    </reference-list>

    <bean id="inConnectorCollector" class="ru.entaxy.esb.system.profile.commons.InConnectorCollector"/>

    <bean id="system-profile" class="ru.entaxy.esb.system.registry.systems.profile.impl.defaults.DefaultSystemProfile"
          activation="eager">
        <property name="systemName" value="[=properties.systemProfileName]"/>
        <property name="profileOutput" ref="profileOutput"/>
        <property name="inConnectorCollector" ref="inConnectorCollector"/>
    </bean>

    <bean id="profileOutput" class="ru.entaxy.esb.system.profile.commons.profile_output.ProfileOutputImpl"
          activation="eager">
        <property name="systemName" value="[=properties.systemProfileName]"/>
    </bean>

    <service activation="eager" auto-export="interfaces" ref="system-profile"/>
<!-- END legacy components -->
