[#ftl attributes={"generated.type":"blueprint"}]
<?xml version="1.0" encoding="UTF-8"?>
<blueprint xmlns="http://www.osgi.org/xmlns/blueprint/v1.0.0"
           xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
           xsi:schemaLocation="http://www.osgi.org/xmlns/blueprint/v1.0.0 https://www.osgi.org/xmlns/blueprint/v1.0.0/blueprint.xsd">

[#import "templates:object-commons/common-utils.ftl" as utils]    
        
    <bean id="[=objectId]-connector-info" class="ru.entaxy.platform.services.runtime.impl.EntaxyServiceConnectorInfoImpl">
    	<property name="serviceId" value="[=properties.serviceId]" />
    	<property name="profileId" value="[=properties.profile]" />
    	<property name="direction" value="in" />
    	<property name="endpoint" value="direct-vm:[=objectId].entry-point" />
    </bean>    

    <service activation="eager" interface="ru.entaxy.platform.services.runtime.EntaxyServiceConnectorInfo" ref="[=objectId]-connector-info">
        <service-properties>
            <entry key="profile" value="[=properties.profile]"/>
            <entry key="service" value="[=properties.serviceId]"/>
            <entry key="direction" value="in"/>
        </service-properties>		    
    </service>    
                        
    <camelContext id="[=objectId]" xmlns="http://camel.apache.org/schema/blueprint">
    	<route id="[=objectId].input-route">
    		<from uri="direct-vm:[=objectId].entry-point" />
    		<to uri="direct:exit-cascade-start" />
    	</route>
	</camelContext>           
           
</blueprint>
